org.jboss.resteasy.core.interception

## Class JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory
  - - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

- All Implemented Interfaces:
    JaxrsInterceptorRegistry.InterceptorFactory
  Direct Known Subclasses:
    JaxrsInterceptorRegistry.LegacyPerMethodInterceptorFactory, JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory
  Enclosing class:
    JaxrsInterceptorRegistry<T>

      public abstract class JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory
      extends JaxrsInterceptorRegistry.AbstractInterceptorFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LegacyPrecedence` | `precedence`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory

      `declaring, ignorePrematch, initialized, nameBound, order`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory(Class declaring, LegacyPrecedence precedence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getLegacyMatch(Class declaring, AccessibleObject target)`
    `JaxrsInterceptorRegistry.Match` | `preMatch()`
    `protected void` | `setPrecedence(Class<?> declaring)`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry.AbstractInterceptorFactory

      `checkInitialize, createInterceptor, getInterceptor, initialize, postMatch, setIgnorePrematch, setOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precedence

          protected LegacyPrecedence precedence

  - ### Constructor Detail

    - #### JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory

          protected JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory(Class declaring,
                                                                   LegacyPrecedence precedence)

  - ### Method Detail

    - #### setPrecedence

          protected void setPrecedence(Class<?> declaring)

      Overrides:
        `setPrecedence` in class `JaxrsInterceptorRegistry.AbstractInterceptorFactory`

    - #### preMatch

          public JaxrsInterceptorRegistry.Match preMatch()

      Specified by:
        `preMatch` in interface `JaxrsInterceptorRegistry.InterceptorFactory`
      Overrides:
        `preMatch` in class `JaxrsInterceptorRegistry.AbstractInterceptorFactory`

    - #### getLegacyMatch

          public Object getLegacyMatch(Class declaring,
                              AccessibleObject target)

Copyright © 2014. All Rights Reserved.